StatsHub Docs
APILegacy APIV1 endpoint referenceEvent

/event/{id}/unavailability

Injuries and suspensions for both teams in a fixture.

GET
/api/event/{id}/unavailability

Injuries and suspensions for both teams in a fixture. A light, event-scoped alternative to the team players performance endpoint, used by the value-bet analysis centre so it does not have to pull full squad stats just for team news.

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/event/string/unavailability"
{  "away": [    {      "endDateTimestamp": 0,      "expectedReturn": {        "day": 0,        "month": 0,        "precision": "string",        "year": 0      },      "id": 0,      "internalId": 0,      "kind": "string",      "matches": 0,      "name": "string",      "playerId": 0,      "position": "string",      "reason": "string",      "slug": "string",      "startDateTimestamp": 0,      "status": "string",      "uniqueTournamentId": 0,      "uniqueTournamentName": "string",      "updateDateTimestamp": 0    }  ],  "eventId": 0.1,  "home": [    {      "endDateTimestamp": 0,      "expectedReturn": {        "day": 0,        "month": 0,        "precision": "string",        "year": 0      },      "id": 0,      "internalId": 0,      "kind": "string",      "matches": 0,      "name": "string",      "playerId": 0,      "position": "string",      "reason": "string",      "slug": "string",      "startDateTimestamp": 0,      "status": "string",      "uniqueTournamentId": 0,      "uniqueTournamentName": "string",      "updateDateTimestamp": 0    }  ]}